<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('prospek_kerjas', function (Blueprint $table) {
            $table->id();
            // Menghubungkan prospek kerja ke ID jurusan tertentu
            $table->foreignId('jurusan_id')->constrained('jurusans')->onDelete('cascade');
            $table->string('nama_profesi');
            $table->string('range_gaji')->nullable(); // Contoh: Rp 7.000.000 - Rp 15.000.000
            $table->text('deskripsi_pekerjaan')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('prospek_kerjas');
    }
};